task SamToBamSentieon {
	File aligned_sam

	String SENTIEON_INSTALL_DIR
	String sample
	String STdocker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e

		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)

		${SENTIEON_INSTALL_DIR}/bin/sentieon util sort -t $nt --sam2bam -i ${aligned_sam} -o ${sample}.bam

	>>>

	runtime {
		docker:STdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sorted_bam = "${sample}.bam"
	}
}
