task SplitReads {

	String SENTIEON_INSTALL_DIR
	String sample

	File ref_dir
    File fasta
	File Dedup_bam
	File Dedup_bam_index

	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver --traverse_param 1000000/10000 -t $nt -r ${ref_dir}/${fasta} -i ${Dedup_bam} --algo RNASplitReadsAtJunction --reassign_mapq 255:60 ${sample}.split.bam
	>>>
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File Split_bam = "${sample}.split.bam"
		File Split_bam_index = "${sample}.split.bam.bai"
	}
}






