task mapping {

    File STARref_dir
    File ref_dir
    File fasta
	File fastq_1
	File fastq_2

	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	

		STAR --genomeDir ${STARref_dir} --readFilesIn ${fastq_1} ${fastq_2} --readFilesCommand zcat --runThreadN 20 --outFileNamePrefix OnePass_ 

		STAR --runMode genomeGenerate --genomeDir "./" --genomeFastaFiles ${ref_dir}/${fasta} --sjdbFileChrStartEnd OnePass_SJ.out.tab --sjdbOverhang 75 --runThreadN 12


		STAR --genomeDir "./" --readFilesIn ${fastq_1} ${fastq_2} --readFilesCommand zcat --runThreadN 20 --outFileNamePrefix ${sample}_ --outSAMtype BAM SortedByCoordinate --outSAMattrRGline "ID:${sample}" "SM:${sample}" "PL:ILLUMINAL"
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sorted_bam = "${sample}_Aligned.sortedByCoord.out.bam"
		File SJ_out_tab = "${sample}_SJ.out.tab"
		File log_progress_out = "${sample}_Log.progress.out"
		File log_final_out = "${sample}_Log.final.out"
		File log_out = "${sample}_Log.out"
	}
}
